---
lang: en
title: 'API docs: graphql.graphqlresolutioncontext'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlresolutioncontext.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLResolutionContext](./graphql.graphqlresolutioncontext.md)

## GraphQLResolutionContext class

Context for graphql resolver resolution

**Signature:**

```typescript
export declare class GraphQLResolutionContext extends Context 
```
**Extends:** [Context](./context.context.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(parent, resolverClass, resolverData)](./graphql.graphqlresolutioncontext._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `GraphQLResolutionContext` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[resolverClass](./graphql.graphqlresolutioncontext.resolverclass.md)


</td><td>

`readonly`


</td><td>

[Constructor](./context.constructor.md)<!-- -->&lt;unknown&gt;


</td><td>


</td></tr>
<tr><td>

[resolverData](./graphql.graphqlresolutioncontext.resolverdata.md)


</td><td>

`readonly`


</td><td>

ResolverData&lt;object&gt;


</td><td>


</td></tr>
</tbody></table>

